From: Federico Grau <donfede@casagrau.org>
Date: Wed, 15 Dec 2021 22:03:44 -0500
Subject: Patch TestReadWriteSync goroutine race

A goroutine thread in TestReadWriteSync can encounter a race condition
(pipes are populated before they are ready to be read).

This patch negligibly slows down the tests, from ~1 second to ~1.5
seconds.

Closes: #1001594 and upstream
https://github.com/creack/goselect/issues/17 .
---
 select_test.go | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/select_test.go b/select_test.go
index 6948b5b..086c2ab 100644
--- a/select_test.go
+++ b/select_test.go
@@ -30,7 +30,7 @@ func TestReadWriteSync(t *testing.T) {
 		time.Sleep(time.Second)
 		for i := 0; i < count; i++ {
 			fmt.Fprintf(wws[i], "hello %d", i)
-			time.Sleep(time.Millisecond)
+			time.Sleep(10*time.Millisecond)
 		}
 	}()
 
